version: "2.4"

services:
  nginx-ssl:
    restart: always
    image: jrcs/letsencrypt-nginx-proxy-companion
    volumes:
      - /var/run/docker.sock:/tmp/docker.sock:ro
      - nginx-vhost:/etc/nginx/vhost.d
      - nginx-html:/usr/share/nginx/html
      - nginx-ssl:/etc/nginx/certs:rw

  redis:
    restart: always
    image: redis:alpine

  backup:
    restart: always
    image: fradelg/mysql-cron-backup
    environment:
      - MYSQL_USER=drupal
      - MYSQL_PASS=drupal
      - MYSQL_DB=drupal
      - MYSQL_HOST=db
      - CRON_TIME=0 0 * * *
      - MAX_BACKUPS=5
    volumes:
      - ./backups:/backup
      - ./configs/mysql:/etc/mysql/conf.d
    labels:
      container_group: ${VIRTUAL_GROUP:?err}
    logging:
      driver: gelf
      options:
        gelf-address: udp://${LOGGING_HOST:-log.mpiwg-berlin.mpg.de}:12201
        labels: container_group

  postgres:
    image: postgres
    restart: always
    environment:
      POSTGRES_PASSWORD: drupal
      POSTGRES_DB: drupal
      POSTGRES_USER: drupal